net.corda.core.contracts

## Class TransactionConflictException

-     public class TransactionConflictException

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionConflictException(StateRef conflictRef, LedgerTransaction tx1, LedgerTransaction tx2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateRef` | `getConflictRef()`
    `LedgerTransaction` | `getTx1()`
    `LedgerTransaction` | `getTx2()`

- - ### Constructor Detail

    - #### TransactionConflictException

          public TransactionConflictException(StateRef conflictRef,
                                              LedgerTransaction tx1,
                                              LedgerTransaction tx2)

  - ### Method Detail

    - #### getConflictRef

          public StateRef getConflictRef()

    - #### getTx1

          public LedgerTransaction getTx1()

    - #### getTx2

          public LedgerTransaction getTx2()